/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 1, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.applicationservices.colorsync.CMTypes;

//import dstep.AvailabilityMacros;
import dstep.applicationservices.colorsync.CMBase;
import dstep.coreservices.CoreServices;
//import dstep.stddef;
//import dstep.sys.types;

struct OpaqueCMProfileRef;
struct OpaqueCMWorldRef;

alias int CMError;
alias OpaqueCMProfileRef* CMProfileRef;
alias OpaqueCMWorldRef* CMWorldRef;
alias uint CMDisplayIDType;
alias uint CMChromaticAdaptation;
alias CMFlattenProcPtr CMFlattenUPP;
alias CMBitmapCallBackProcPtr CMBitmapCallBackUPP;
alias CMConcatCallBackProcPtr CMConcatCallBackUPP;
alias CMProfileAccessProcPtr CMProfileAccessUPP;

extern (C)
{
	alias short function (int, long*, void*, void*) CMFlattenProcPtr;
	alias ubyte function (int, void*) CMConcatCallBackProcPtr;
	alias ubyte function (int, void*) CMBitmapCallBackProcPtr;
	alias OSErr function (int command, int offset, int* size, void* data, void* refCon) CMProfileAccessProcPtr;
}

enum
{
	cmUseDefaultChromaticAdaptation = 0,
	cmLinearChromaticAdaptation = 1,
	cmVonKriesChromaticAdaptation = 2,
	cmBradfordChromaticAdaptation = 3
}

